<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.centre.mapper.HrmschedulesignMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.storlead.centre.entity.HrmschedulesignEntity">
        <id column="ID" property="id" />
        <result column="USERID" property="userid" />
        <result column="USERTYPE" property="usertype" />
        <result column="SIGNTYPE" property="signtype" />
        <result column="SIGNDATE" property="signdate" />
        <result column="SIGNTIME" property="signtime" />
        <result column="clientAddress" property="clientAddress" />
        <result column="ISINCOM" property="isincom" />
        <result column="SIGNFROM" property="signfrom" />
        <result column="LONGITUDE" property="longitude" />
        <result column="LATITUDE" property="latitude" />
        <result column="ADDR" property="addr" />
        <result column="ISIMPORT" property="isimport" />
        <result column="SUUID" property="suuid" />
        <result column="timeZone" property="timeZone" />
        <result column="belongdate" property="belongdate" />
        <result column="memo" property="memo" />
        <result column="deviceInfo" property="deviceInfo" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        ID, USERID, USERTYPE, SIGNTYPE, SIGNDATE, SIGNTIME, clientAddress, ISINCOM, SIGNFROM, LONGITUDE, LATITUDE, ADDR, ISIMPORT, SUUID, timeZone, belongdate, memo, deviceInfo
    </sql>

</mapper>
